#pragma once
#ifndef __ACCOUNTCARGO_H__
#define __ACCOUNTCARGO_H__

#pragma pack(push, 0x01)

class CAccountCargo
{
public:

	int GetCapacity()
	{
		return CallT<int>(base::CAccountCargo::GetCapacity, this);
	}
	int GetMoney()
	{
		return CallT<int>(base::CAccountCargo::GetMoney, this);
	}
	int SetDBData(CUser* a2, Inven_Item* a3, uint a4, uint a5)
	{
		return CallT<int>(base::CAccountCargo::SetDBData, this, a2, a3, a4, a5);
	}
	int Clear()
	{
		return CallT<int>(base::CAccountCargo::Clear, this);
	}
	int ResetSlot(int a2)
	{
		return CallT<int>(base::CAccountCargo::ResetSlot, this, a2);
	}
	int* GetSlot(int a2)
	{
		return CallT<int*>(base::CAccountCargo::GetSlot, this, a2);
	}
	int GetSlotRef(int a2)
	{
		return CallT<int>(base::CAccountCargo::GetSlotRef, this, a2);
	}
	int CheckInsertCondition(Inven_Item* a2)
	{
		return CallT<int>(base::CAccountCargo::CheckInsertCondition, this, a2);
	}
	int InsertItem(Inven_Item* a2, int a3)
	{
		return CallT<int>(base::CAccountCargo::InsertItem, this, a2, a3);
	}
	int DeleteItem(int a2, int a3)
	{
		return CallT<int>(base::CAccountCargo::DeleteItem, this, a2, a3);
	}
	int MoveItem(int a2, int a3)
	{
		return CallT<int>(base::CAccountCargo::MoveItem, this, a2, a3);
	}
	int DepositMoney(uint a2)
	{
		return CallT<int>(base::CAccountCargo::DepositMoney, this, a2);
	}
	int WithdrawMoney(uint a2)
	{
		return CallT<int>(base::CAccountCargo::WithdrawMoney, this, a2);
	}
	int CheckMoneyLimit(uint a2)
	{
		return CallT<int>(base::CAccountCargo::CheckMoneyLimit, this, a2);
	}
	int CheckValidSlot(int a2)
	{
		return CallT<int>(base::CAccountCargo::CheckValidSlot, this);
	}
	int GetEmptySlot()
	{
		return CallT<int>(base::CAccountCargo::GetEmptySlot, this);
	}
	int CheckSlotEmpty(int a2)
	{
		return CallT<int>(base::CAccountCargo::CheckSlotEmpty, this, a2);
	}
	int GetSpecificItemSlot(int a2)
	{
		return CallT<int>(base::CAccountCargo::GetSpecificItemSlot, this, a2);
	}
	int CheckStackLimit(int a2, int a3, int a4)
	{
		return CallT<int>(base::CAccountCargo::CheckStackLimit, this);
	}
	int AddMoney(uint a2)
	{
		return CallT<int>(base::CAccountCargo::AddMoney, this, a2);
	}
	int SubMoney(uint a2)
	{
		return CallT<int>(base::CAccountCargo::SubMoney, this, a2);
	}
	int GetItemCount()
	{
		return CallT<int>(base::CAccountCargo::GetItemCount, this);
	}
	int SendNotifyMoney(int a2)
	{
		return CallT<int>(base::CAccountCargo::SendNotifyMoney, this, a2);
	}
	int SendItemList()
	{
		return CallT<int>(base::CAccountCargo::SendItemList, this);
	}
	int MakeItemPacket(PacketGuard* a2, int a3)
	{
		return CallT<int>(base::CAccountCargo::MakeItemPacket, this, a2, a3);
	}
	int CreateAccountCargo(CUser* a2)
	{
		return CallT<int>(base::CAccountCargo::CreateAccountCargo, this, a2);
	}
	int UpgradeAccountCargo(CUser* a2)
	{
		return CallT<int>(base::CAccountCargo::UpgradeAccountCargo, this, a2);
	}
	int SendNotifyRecipe(CUser* a2, int a3, bool a4)
	{
		return CallT<int>(base::CAccountCargo::SendNotifyRecipe, this, a2, a3, a4);
	}
	int DeleteAccountCargo(CUser* a2)
	{
		return CallT<int>(base::CAccountCargo::DeleteAccountCargo, this, a2);
	}
	int SetStable()
	{
		return CallT<int>(base::CAccountCargo::SetStable, this);
	}
	int SetCapacity(uint a2)
	{
		return CallT<int>(base::CAccountCargo::SetCapacity, this, a2);
	}
	int IsAlter(void)
	{
		return CallT<int>(base::CAccountCargo::IsAlter, this);
	}

};

#pragma pack(pop)

#endif // __ACCOUNTCARGO_H__

